RADOS - Bug #42113

ceph -h usage should indicate CephChoices --name= is sometime required

10/01/2019 09:25 PM - Sage Weil

Status: Fix Under Review % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version:

Source: Affected Versions:

Tags: ceph-qa-suite:

Backport: Component(RADOS):
Regression: No Pull request ID: 31042
Severity: 3 - minor Crash signature (v1):
Reviewed: Crash signature (v2):
Description

orchestrator device ls [<host>...] [json|plain] [--refresh]

List devices on a node

but 'bin/ceph orchestrator device Is gnit json' results in

RuntimeError: Host (s) 'json' not registered

The help should show '[--format=json|plain]' because the previous position is an 'n=N' arg.

Related issues:
Duplicated by Orchestrator - Bug #40801: ceph orchestrator cli alleges suppor... Duplicate

History

#1 - 10/01/2019 09:25 PM - Sage Weil

- Tags set to low-hanging-fruit

#2 - 10/02/2019 09:04 PM - Greg Farnum
- Priority changed from High to Normal

No failures so this is normal priority?

#3 - 10/22/2019 02:19 AM - Matthew Oliver

Can't seem to assign this to myself. But | have the first version of the patch coming.

#4 - 10/22/2019 03:01 AM - Kefu Chai
- Status changed from 12 to Fix Under Review

- Pull request ID set to 31042

@Matthew thanks for your contribution! the reason why you could not assign this ticket is that you are not listed in "Developer" of Ceph project, see
https://tracker.ceph.com/projects/ceph .
#5 - 10/22/2019 10:38 AM - Sebastian Wagner
- Duplicated by Bug #40801: ceph orchestrator cli alleges support for json-pretty, xml, xml-pretty formats added

#6 - 10/22/2019 10:38 AM - Sebastian Wagner
Marked #40801 as duplicate. Actually #40801 was first, but got little attention.

#7 - 10/22/2019 10:13 PM - Matthew Oliver

Sebastian Wagner wrote:

Marked #40801 as duplicate. Actually #40801 was first, but got little attention.

From what | can see #40801 is slightly different. In that if you do send an '--format=non-existant-format' it will then five you format options that aren't
supported, or if they are not mentioned in the 'help'.

I'll try and address both in the same patch (or is that too much scope creep?)

#8 - 10/23/2019 02:19 AM - Matthew Oliver

Matthew Oliver wrote:

I'll try and address both in the same patch (or is that too much scope creep?)

Seems the full list is more prevelent and may be coming from outside the python code. The full -f list is in the “--help’. So suddenly isn't as such an
obvious fix. But if we want to add them both together, I'll continue down the rabbit hole. (as at least it helps teach me to navigate different parts of the
codebase) :P

04/02/2024 22


https://tracker.ceph.com/issues/40801
https://tracker.ceph.com/issues/40801
https://tracker.ceph.com/issues/40801
https://tracker.ceph.com/issues/40801
https://tracker.ceph.com/issues/40801
http://www.tcpdf.org

